<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param: currentIdentifier, managedBean -->
    <s:decorate template="/layout/panels/_panel_collapse.xhtml">
        <ui:param name="panel_id" value="pidcollapse"/>
        <ui:param name="openByDefault" value="true"/>
        <ui:define name="panel_title">#{messages['net.ihe.gazelle.patientmanager.PatientIdentifierclickToCollapseopen']})</ui:define>
        <s:div rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-47') or managedBean.selectedTransaction.keyword.equals('ITI-55')
            or managedBean.selectedTransaction.keyword.equals('ITI-78')}">
            <div class="row">
                <div class="col-md-6">
                    <ui:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.ID']}</ui:define>
                        <ui:param name="id" value="pid1v3input"/>
                        <h:inputText value="#{currentIdentifier.idNumber}"
                                     id="pid1v3input" styleClass="form-control"/>
                    </ui:decorate>
                </div>
                <s:div styleClass="col-md-6">
                    <ui:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.AssigningAuthoritysOID']}</ui:define>
                        <ui:param name="id" value="pid3v3input"/>
                        <h:inputText value="#{currentIdentifier.domain.universalID}"
                                     id="pid3v3input" styleClass="form-control"/>
                    </ui:decorate>
                </s:div>
            </div>
        </s:div>
        <s:div rendered="#{managedBean.selectedTransaction.keyword.equals('ITI-21') or managedBean.selectedTransaction.keyword.equals('ITI-22')}">
            <div class="row">
                <div class="col-md-6">
                    <ui:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.ID']}</ui:define>
                        <ui:param name="id" value="pid1input"/>
                        <h:inputText value="#{currentIdentifier.fullPatientId}"
                                     id="pid1input" styleClass="form-control"/>
                    </ui:decorate>
                </div>
            </div>
            <br/>
            <div class="row">
                <div class="col-md-3">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsNamespace']}</ui:define>
                        <ui:param name="id" value="pid2input"/>
                        <h:inputText value="#{currentIdentifier.domain.namespaceID}"
                                     id="pid2input" styleClass="form-control"/>
                    </s:decorate>
                </div>
                <div class="col-md-6">
                    <ui:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsUniversalID']}</ui:define>
                        <ui:param name="id" value="pid3input"/>
                        <h:inputText value="#{currentIdentifier.domain.universalID}"
                                     id="pid3input" styleClass="form-control"/>
                    </ui:decorate>
                </div>
                <div class="col-md-2">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.DomainsUniversalIDType']}
                        </ui:define>
                        <ui:param name="id" value="pid4input"/>
                        <h:inputText value="#{currentIdentifier.domain.universalIDType}"
                                     id="pid4input" styleClass="form-control"/>
                    </s:decorate>
                </div>
                <div class="col-md-1">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.pam.TypeCode']}</ui:define>
                        <ui:param name="id" value="pid5input"/>
                        <h:inputText value="#{currentIdentifier.identifierTypeCode}"
                                     id="pid5input" styleClass="form-control"/>
                    </s:decorate>
                </div>
            </div>
        </s:div>
    </s:decorate>
</ui:composition>